Bug 816537 - clear-locks on file fails with "No such file or directory" error message even when the file exists on all the bricks
clear-locks on file fails with "No such file or directory" error message even...
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 06:55 EDT by Shwetha Panduranga
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 08:58:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
glusterd log file (187.40 KB, text/x-log)
2012-04-26 06:55 EDT, Shwetha Panduranga
no flags Details

  None (edit)
Description Shwetha Panduranga 2012-04-26 06:55:45 EDT
Created attachment 580430 [details]
glusterd log file

Description of problem:
------------------------
gluster volume clear-locks command is unsuccessful because the getxattr on file failed and reports "No such file or directory" error message. 

The file exists on all the bricks and even accessible from mount.  

Version-Release number of selected component (if applicable):
----------------------------------------------------------------
mainline

How reproducible:
-------------------
intermittent 

Steps to Reproduce:
-----------------------
1.create a replicate volume (1X3)
2.create a nfs mount.
3.execute "ping_pong -rw ./testing1 3" on nfs mount
4.execute "gluster volume clear-locks dstore /testing1 kind granted posix 0,0-0"
  
Actual results:
----------------------
[04/26/12 - 16:08:20 root@APP-SERVER1 src]# gluster volume clear-locks dstore /testing1 kind granted posix 0,0-0
Volume clear-locks unsuccessful
clear-locks getxattr command failed. Reason: No such file or directory

Expected results:
---------------------
[04/26/12 - 16:07:08 root@APP-SERVER1 src]# gluster volume clear-locks dstore /testing1 kind granted posix 0,0-0
Volume clear-locks successful
dstore-locks: posix blocked locks=0 granted locks=1
dstore-locks: posix blocked locks=0 granted locks=1
dstore-locks: posix blocked locks=0 granted locks=1


Additional info:
-------------------------
[04/26/12 - 16:08:10 root@APP-SERVER1 src]# gluster volume statedump dstore
Volume statedump successful
[04/26/12 - 16:08:16 root@APP-SERVER1 src]# grep -i "active" /tmp/export1-dstore1.29502.dump
purge.1.active_cnt=0
purge.1.max_active=7
purge.2.active_cnt=0
purge.2.max_active=3
purge.3.active_cnt=0
purge.3.max_active=1
purge.4.active_cnt=0
purge.4.max_active=1
arena.5.active_cnt=0
arena.5.max_active=0
purge.6.active_cnt=0
purge.6.max_active=4
purge.7.active_cnt=0
purge.7.max_active=1
arena.8.active_cnt=0
arena.8.max_active=0
[active graph - 1]
conn.1.bound_xl./export1/dstore1.active_size=2
[conn.1.bound_xl./export1/dstore1.active.1]
posixlk.posixlk[0](ACTIVE)=type=READ, whence=0, start=0, len=0, pid = 1, owner=3340536877657468-612d4c6170746f70, transport=0x21e3e90, , granted at Thu Apr 26 16:08:09 2012
[conn.1.bound_xl./export1/dstore1.active.2]
1./export1/dstore1.itable.active_size=2
[1./export1/dstore1.itable.active.1]
posixlk.posixlk[0](ACTIVE)=type=READ, whence=0, start=0, len=0, pid = 1, owner=3340536877657468-612d4c6170746f70, transport=0x21e3e90, , granted at Thu Apr 26 16:08:09 2012
[1./export1/dstore1.itable.active.2]
[04/26/12 - 16:08:20 root@APP-SERVER1 src]# gluster volume clear-locks dstore /testing1 kind granted posix 0,0-0
Volume clear-locks unsuccessful
clear-locks getxattr command failed. Reason: No such file or directory

[04/26/12 - 16:22:53 root@APP-SERVER1 ~]# gluster volume info
 
Volume Name: dstore
Type: Replicate
Volume ID: e4a0f94c-4801-4b79-a8f3-1d723fc6523b
Status: Started
Number of Bricks: 1 x 3 = 3
Transport-type: tcp
Bricks:
Brick1: 192.168.2.35:/export1/dstore1
Brick2: 192.168.2.36:/export1/dstore1
Brick3: 192.168.2.37:/export1/dstore1
Options Reconfigured:
diagnostics.count-fop-hits: on
diagnostics.latency-measurement: on
network.ping-timeout: 1013
Comment 1 Shwetha Panduranga 2012-05-04 00:21:12 EDT
This is happening consistently on 3.3.0qa39
Comment 2 Shwetha Panduranga 2012-05-10 08:58:29 EDT
unable to recreate  the bug on 3.3.0qa40. Closing the bug

Note You need to log in before you can comment on or make changes to this bug.